manual.c File Reference
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <unistd.h>`
`#include <dirent.h>`
`#include <ctype.h>`
`#include <limits.h>`
`#include <sys/types.h>`
`#include <sys/stat.h>`
`#include "hd.h"`
`#include "hd_int.h"`
`#include "manual.h"`
`#include "hddb.h"`
`#include <hwclass_names.h>`

## Functions

static void | prop2hd (hd_data_t *hd_data, hd_t *hd, int status_only)
static hal_prop_t * | hal_get_new (hal_prop_t **list, const char *key)
static void | hd2prop_add_int32 (hal_prop_t **list, const char *key, int32_t i)
static void | hd2prop_add_str (hal_prop_t **list, const char *key, const char *str)
static void | hd2prop_add_list (hal_prop_t **list, const char *key, str_list_t *sl)
static void | hd2prop_append_list (hal_prop_t **list, const char *key, char *str)
static void | hd2prop (hd_data_t *hd_data, hd_t *hd)
static hal_prop_t * | hd_manual_read_entry_old (const char *id)
static hal_prop_t * | read_properties (hd_data_t *hd_data, const char *udi, const char *id)
void | hd_scan_manual (hd_data_t *hd_data)
void | hd_scan_manual2 (hd_data_t *hd_data)
char * | hd_status_value_name (hd_status_value_t status)
hd_manual_t * | hd_manual_read_entry (hd_data_t *hd_data, const char *id)
| Manually configured devices implemented in manual.c.
int | hd_manual_write_entry (hd_data_t *hd_data, hd_manual_t *entry)
char * | prop2hd_str (hal_prop_t *prop, const char *id)
int32_t | prop2hd_int32 (hal_prop_t *prop, const char *id)
str_list_t * | prop2hd_list (hal_prop_t *prop, const char *id)
hd_t * | hd_read_config (hd_data_t *hd_data, const char *id)
int | hd_write_config (hd_data_t *hd_data, hd_t *hd)

## Variables

static hash_t | status_names []